
ISIS - Bug #636

Problems randomly come and go in ISIS

2011-12-16 10:07 AM - Laszlo Kestay

Status: Closed   

Priority: Block   

Assignee: Stuart Sides   

Category: Applications   

Target version: N/A   

Impact:  Software Version:  

Description

See mantis ticket 610.  Qview was seg-faulting on macs and this was confirmed by a developer.  Then, with no fixes or changes to

ISIS, it suddenly works.  Again, the version of ISIS that was failing and the one that was working were the same with ZERO changes

reported.  This gives absolutely the same (i.e. ZERO) confidence that ISIS will work tomorrow.  

Additional information:

Wait, now I do some research and find that there are new versions of ISIS out with no information given to the users.  This is

unacceptable.  

History

#1 - 2011-12-16 02:25 PM - Debbie Cook

The original issue was discovered on a mac system on 12-07-2011 for the isis3.3.1 build.  The problem was confirmed by a developer on a fedora

system a few days later.  On 12-16-2011, the problem can no longer be recreated on any build under any system.  The isis3.3.1 build has not

changed at all during that time period.

This problem may be related to issue #547, which also went away without being solved and occurred under similar circumstances.

The entry made in "Additional information" above is in reference to new versions of the isis3 production build, and is not at all related to the topic of

the post.  I sent an email to all developers telling them to manually send out a notice to all of astro whenever they merge from beta into production,

listing the changes made to the production version of isis3.

Debbie

#2 - 2012-03-01 11:50 AM - Stuart Sides

Priority remained Block. Type changed from Block to Bug

#3 - 2012-03-16 01:34 PM - Stuart Sides

Laz, This may or may not have been due to a problem with a Qt library, but we have no way of being sure. I do not believe we have seen this kind of

issue since switching to the new libraries. Can we close this issue? It will remain in Mantis for reference if the problem shows up again.

#4 - 2012-06-19 01:17 PM - Tammy Becker

Changed feedback to resolved.  Laz needs to test and close this post if appropriate

#5 - 2012-06-19 01:30 PM - Laszlo Kestay

I have not had this problem recur and there is a reasonable reason to think it was a temporary issue with our internal network that is now resolved.
#6 - 2013-08-15 01:21 PM - Anonymous

- Target version changed from 150 to N/A
